package de.mpg.ipp.codac.business.schema.testcase;

import javax.jdo.annotations.NotPersistent;
import javax.jdo.annotations.PersistenceCapable;

import de.mpg.ipp.codac.business.schema.testcase.W7XDbNamedObject;

@PersistenceCapable
public class TestUser
    extends W7XDbNamedObject {

    static final long serialVersionUID = 0;

    @NotPersistent
    private String uid;

    /**
     * Instantiates a new user.
     */
    public TestUser() {
        setDefault();
    }

    @Override
    public void setDefault() {
        super.setDefault();
        this.uid = "";
    }

    /**
     * Gets the uid.
     * 
     * @return the uid
     */
    public String getUid() {
        return uid;
    }

    @Override
    public boolean equals( Object obj ) {
        if (this == obj)
            return true;
        return obj instanceof TestUser && ((TestUser) obj).uid.equals(uid);
    }

    @Override
    public int hashCode() {
        return uid.hashCode();
    }

    /**
     * Sets the user id.
     * 
     * @param uid
     *            the new uid
     */
    public void setUid( String uid ) {
        this.uid = uid;
    }

}
